/* Class to hold info on a bank account. It can handle deposits, withdraws, and 
   displays
   written by Scott McElfresh
*/

public class Account          
{
   private  int mynumber;
   private  double mybalance;
   private  String myowner;
   
   // default constructor, sets things to 0 or empty
   public Account()
   {
      mynumber = 0;
      mybalance = 0;
      myowner = "";
   }

   //******
   public Account(String owner, int number, double deposit)
   {
      mynumber = number;
      mybalance = deposit;
      myowner = owner;
   }
   //*****************************
   // accessors here
   public String getOwner()
   {
      return myowner;
   }
   public int getNumber()
   {
      return mynumber;
   }
   public double getBalance()
   {
      return mybalance;
   }
   //******************
   // modifiers/mutators/settors here
   public void setOwner(String newowner)
   {
      myowner = newowner;
   }
   public void setNumber(int newnumber)
   {
      mynumber = newnumber;
   }
   public void setBalance(double newbalance)
   {
      mybalance = newbalance;
   }
   //******
   // display the info on the account
   public void display()
   {
     System.out.println("Owner: " + myowner);
     System.out.println("Account #: " + mynumber);
     System.out.println("Balance: " + mybalance);
   }
   //******
   // deposit the amount.
   public void deposit(double amount)
   {
       mybalance += amount;
   }
   //******
   // withdraw, doing check that enough money is in acccount
   public void withdraw(double amount)
   {
       if (amount >= mybalance)
          System.out.println("ERROR: CAN NOT WITHDRAW THAT MUCH MONEY.");
       else
         mybalance -= amount;
   }
}