// hold info on Savings Accounts.  Inherits all functionalities of accounts (like withdraw and
// deposit.  Also has interest rates, and can add interest.
// written by Scott McElfresh

public class SavingsAccount extends Account 
{
   private double myInterestRate;  // eg.  2.5 = 2.5%
   
   //******
   public SavingsAccount(String owner, int number, double deposit)
   {
      super(owner,number,deposit);
      myInterestRate = 0;
   }
   
   //******
   public SavingsAccount(String owner, int number, double deposit, double intRate)
   {
      super(owner,number,deposit);
      myInterestRate = intRate;
   }
   
   // adds the yearly interest
   public void addInterest()
   {
      double interestAmount = myInterestRate /100 * getBalance();
      setBalance(getBalance() + interestAmount);
   }

  // display basic account info.  Then display the interest rate.
  public void display()
  {
     super.display();
     System.out.println("Interest rate: " + myInterestRate + "%");
  }
  
  //  return the interest rate
  public double getInterestRate()
  {
    return myInterestRate;
  }
}